<?xml version="1.0" encoding="UTF-8"?>
<genmodel:GenModel xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:genmodel="http://www.eclipse.org/uml2/2.2.0/GenModel"
    copyrightText="Copyright (c) 2019, 2023 CEA LIST&#xA;&#xA;All rights reserved. This program and the accompanying materials are&#xA;made available under the terms of the Eclipse Public License v2.0 which&#xA;accompanies this distribution, and is available at&#xA;https://www.eclipse.org/legal/epl-2.0/"
    modelDirectory="/org.eclipse.papyrus.robotics.bt.profile/src-gen" modelPluginID="org.eclipse.papyrus.robotics.bt.profile"
    modelName="Bt" editPluginClass="org.eclipse.papyrus.robotics.bt.profile.bt.provider.BtEditPlugin"
    editorPluginClass="org.eclipse.papyrus.robotics.bt.profile.bt.presentation.BtEditorPlugin"
    nonNLSMarkers="true" rootExtendsClass="org.eclipse.emf.ecore.impl.MinimalEObjectImpl$Container"
    testSuiteClass="org.eclipse.papyrus.robotics.bt.profile.bt.tests.BtAllTests" importerID="org.eclipse.uml2.uml.ecore.importer"
    complianceLevel="8.0" copyrightFields="false" usedGenPackages="../../org.eclipse.papyrus.robotics.bpc.profile/model/bpc.profile.genmodel#//bpc ../../org.eclipse.emf.ecore/model/Ecore.genmodel#//ecore ../../org.eclipse.papyrus.robotics.profile/model/robotics.profile.genmodel#//robotics ../../org.eclipse.uml2.types/model/Types.genmodel#//types ../../org.eclipse.uml2.uml/model/UML.genmodel#//uml"
    operationReflection="true" importOrganizing="true" pluginKey="bt.profile">
  <genAnnotations source="http://www.eclipse.org/emf/2002/GenModel/importer/org.eclipse.uml2.uml.ecore.importer">
    <details key="OPPOSITE_ROLE_NAMES" value="IGNORE"/>
    <details key="DUPLICATE_FEATURES" value="DISCARD"/>
    <details key="ANNOTATION_DETAILS" value="PROCESS"/>
    <details key="PROPERTY_DEFAULT_EXPRESSIONS" value="IGNORE"/>
    <details key="DUPLICATE_FEATURE_INHERITANCE" value="DISCARD"/>
    <details key="COMMENTS" value="PROCESS"/>
    <details key="DERIVED_FEATURES" value="PROCESS"/>
    <details key="SUPER_CLASS_ORDER" value="PROCESS"/>
    <details key="DUPLICATE_OPERATION_INHERITANCE" value="DISCARD"/>
    <details key="REDEFINING_OPERATIONS" value="REPORT"/>
    <details key="INVARIANT_CONSTRAINTS" value="PROCESS"/>
    <details key="UNION_PROPERTIES" value="REPORT"/>
    <details key="DUPLICATE_OPERATIONS" value="DISCARD"/>
    <details key="NON_API_INVARIANTS" value="IGNORE"/>
    <details key="CAMEL_CASE_NAMES" value="IGNORE"/>
    <details key="SUBSETTING_PROPERTIES" value="REPORT"/>
    <details key="OPERATION_BODIES" value="IGNORE"/>
    <details key="ECORE_TAGGED_VALUES" value="PROCESS"/>
    <details key="UNTYPED_PROPERTIES" value="REPORT"/>
    <details key="REDEFINING_PROPERTIES" value="REPORT"/>
    <details key="INVOCATION_DELEGATES" value="IGNORE"/>
    <details key="VALIDATION_DELEGATES" value="IGNORE"/>
  </genAnnotations>
  <foreignModel>bt.profile.uml</foreignModel>
  <genPackages xsi:type="genmodel:GenPackage" prefix="Bt" basePackage="org.eclipse.papyrus.robotics.bt.profile"
      disposableProviderFactory="true" ecorePackage="bt.ecore#/">
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="bt.ecore#//TreeRoot">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference bt.ecore#//TreeRoot/base_Activity"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference bt.ecore#//TreeRoot/treenode"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" image="false" ecoreClass="bt.ecore#//TreeNode">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference bt.ecore#//TreeNode/base_Action"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="bt.ecore#//SubTree">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference bt.ecore#//SubTree/treeroot"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference bt.ecore#//SubTree/flowport"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference bt.ecore#//SubTree/inflowport"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference bt.ecore#//SubTree/outflowport"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" image="false" ecoreClass="bt.ecore#//DataFlowPort"/>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="bt.ecore#//InFlowPort">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference bt.ecore#//InFlowPort/base_InputPin"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference bt.ecore#//InFlowPort/base_ActivityParameterNode"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="bt.ecore#//OutFlowPort">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference bt.ecore#//OutFlowPort/base_OutputPin"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference bt.ecore#//OutFlowPort/base_ActivityParameterNode"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="bt.ecore#//Condition"/>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="bt.ecore#//LeafNode"/>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="bt.ecore#//Action">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference bt.ecore#//Action/skill"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference bt.ecore#//Action/flowport"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference bt.ecore#//Action/inflowport"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference bt.ecore#//Action/outflowport"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="bt.ecore#//Fallback"/>
    <genClasses xsi:type="genmodel:GenClass" image="false" ecoreClass="bt.ecore#//ControlNode">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference bt.ecore#//ControlNode/treenode"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="bt.ecore#//Sequence"/>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="bt.ecore#//Parameter">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference bt.ecore#//Parameter/base_ValueSpecificationAction"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="bt.ecore#//DecoratorNode">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference bt.ecore#//DecoratorNode/treenode"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="bt.ecore#//ControlFlowEdge">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference bt.ecore#//ControlFlowEdge/base_ControlFlow"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="bt.ecore#//DataFlowEdge">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference bt.ecore#//DataFlowEdge/inPort"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference bt.ecore#//DataFlowEdge/outPort"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference bt.ecore#//DataFlowEdge/base_ObjectFlow"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference bt.ecore#//DataFlowEdge/bbEntry"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="bt.ecore#//BlackBoardEntry">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference bt.ecore#//BlackBoardEntry/dfEdge"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference bt.ecore#//BlackBoardEntry/base_CentralBufferNode"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference bt.ecore#//BlackBoardEntry/base_ActivityParameterNode"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="bt.ecore#//ReactiveFallback"/>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="bt.ecore#//ReactiveSequence"/>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="bt.ecore#//Inverter"/>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="bt.ecore#//RetryUntilSuccessful"/>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="bt.ecore#//Repeat"/>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="bt.ecore#//ParallelSequence"/>
  </genPackages>
</genmodel:GenModel>
